---
search:
  tags:
    - Topics
    - GET
seo:
  description: >-
    Get unique persons participating in a v1 or v2 topic, based on message
    authors… Reference for the GET /topics/{topicId}/people endpoint in the
    Modem API.
sidebar:
  label: Get topic persons
  badge: GET
title: Get topic persons
type: openapi-operation
---
Get unique persons participating in a v1 or v2 topic, based on message authors linked via PersonIdentity

`GET /topics/{topicId}/people`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "data": [
    {
      "avatarUrl": "string",
      "company": {
        "domain": "string",
        "id": "string",
        "logoUrl": "string",
        "name": "string"
      },
      "displayName": "string",
      "id": "string",
      "identities": [
        {
          "platform": "string",
          "platformId": "string"
        }
      ],
      "isBot": true,
      "isVip": true,
      "messageCount": 0,
      "sources": [
        "string"
      ],
      "title": "string"
    }
  ]
}
```
